`<castItem>` | (Cast list item) contains a single entry within a cast list, describing either a single role or a list of non-speaking roles.
Attributes: |
`type` | characterizes the cast item.
| Datatype: (role | list)
| Legal values: |
`role` | the item describes a single role.
`list` | the item describes a list of non-speaking roles.
| Default: role

Example

      <castItem><role>Player</><actor>Mr Milward</></castItem>

Example

      <castItem type=list>Constables, Drawer, Turnkey, etc.</castItem>

Note

Tagset base tag set for performance texts
Class
Filename `teidram2`
Content: Contains character data with phrase-level elements, `<role>` , `<roleDesc>` , and `<actor>` .
Parents castGroup castList
Children#PCDATA abbr actor add address app att c caesura cl corr damage date dateRange dateStruct del distinct emph expan foreign formula fw geogName gi gloss handShift hi lang link m measure mentioned name num oRef oVar orgName orig pRef pVar persName phr placeName ptr ref reg restore role roleDesc rs s seg sic soCalled space supplied tag term time timeRange timeStruct title unclear val w xptr xref
Declaration

    <!ELEMENT castItem      - O  (role | roleDesc | actor |
                                 (%phrase.seq))*                    >
    <!ATTLIST castItem           %a.global
              type               (role | list)       role           >

See 10.1.4

Back to index